Module SQL_登入與主程式
    Friend Sub SQL_FTP伺服器登入位置()
        ConnOpen() : SQL1 = "SELECT  FTP地址, FTP帳號, FTP密碼, FTP物理位置 FROM FTP資料庫管理 WHERE 地區 LIKE N'設計'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_使用者下拉清單()
        ConnOpen() : SQL1 = "SELECT UserName FROM ras_Users WHERE IsLockedOut = 0 ORDER BY UserName" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_系統版本號讀取()
        ConnOpen() : SQL1 = "SELECT 系統認證版本號 FROM 版本號管理 " : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_使用者密碼讀取()
        ConnOpen()
        SQL1 = "SELECT ras_Enroll.Password
                FROM   ras_Enroll INNER JOIN ras_Users ON ras_Enroll.DIN = ras_Users.DIN
                WHERE (ras_Enroll.BackupNumber = 10) AND (ras_Users.UserName LIKE N'" & PA & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_使用者權限讀取()
        ConnOpen()
        SQL1 = "SELECT  使用者權限管理表.DIN " & 登入權限 & "
                    FROM    使用者權限管理表 INNER JOIN
                            ras_Users ON 使用者權限管理表.DIN = ras_Users.DIN
                    WHERE  (ras_Users.UserName LIKE N'" & PA & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_電腦綁定()
        ConnOpen_ERP()
        SQL1 = "SELECT MAC碼 FROM 系統綁定電腦資訊 WHERE 硬碟ID LIKE N'" & PA2 & "' AND 硬碟序列 LIKE N'" & PA3 & "' AND 磁盘型態 LIKE N'" & PA4 & "'"
        CmdSet_For_dr()
    End Sub
End Module
